ur_rna.GUITester.GuiTools.Matchers

## Class VisibilityMatcher

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase
  - - ur_rna.GUITester.GuiTools.Matchers.VisibilityMatcher

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher

      public class VisibilityMatcher
      extends ComposableBase

  Tests the visibility of the GUI component (whether it is showing or not)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `_vis`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `FALSE, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisibilityMatcher()`
    `VisibilityMatcher(boolean visible)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getVisible()`
    `boolean` | `matches(java.awt.Component c)`
    `void` | `setVisible(boolean value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `and, composable, getChildMatchers, identity, inverse, inverse, or, self, simplify, simplify, withText, withText, withText, xor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _vis

          private boolean _vis

  - ### Constructor Detail

    - #### VisibilityMatcher

          public VisibilityMatcher()

    - #### VisibilityMatcher

          public VisibilityMatcher(boolean visible)

  - ### Method Detail

    - #### getVisible

          public boolean getVisible()

    - #### matches

          public boolean matches(java.awt.Component c)

    - #### setVisible

          public void setVisible(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ComposableBase`